Subject: Re: [PATCH 5/5] builtin/repo: find tree with most entries

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Feb 2026 07:28:38 -0800

Patrick Steinhardt <[email-masked]> writes:

> From my point of view that would be the cherry on top of the new tool :)
> I'd personally still like to learn about maximum values in the table, as
> I've found that info to be useful with some customer incidents in the
> past. It's not giving you a trend, but it immediately gives you some
> good signal that the repo shape might be weird if you have commits with
> hundreds of parents.
>
> So maybe this is another step we can do in a subsequent patch series?

Oh, I didn't mean to say "the maximum alone is not interesting
enough for me to bother, come back with histograms."  If you already
have a good feel for normal range/distribution already, then one
data point at the extreme is a sign enough for you to notice when
there is something fishy going on.

Thanks.